BearSSL

Data Fields
br_ec_private_key Struct Reference

Structure for an EC private key. More...

`#include <bearssl_ec.h>`

## Data Fields
int | curve
| Identifier for the curve used by this key. More...
unsigned char * | x
| Private key (integer, unsigned big-endian encoding). More...
size_t | xlen
| Private key length (in bytes). More...

## Detailed Description

Structure for an EC private key.

The private key is an integer modulo the curve subgroup order. The encoding below tolerates extra leading zeros. In general, it is recommended that the private key has the same length as the curve subgroup order.

## Field Documentation

## ◆ curve

int br_ec_private_key::curve

Identifier for the curve used by this key.

## ◆ x

unsigned char* br_ec_private_key::x

Private key (integer, unsigned big-endian encoding).

## ◆ xlen

size_t br_ec_private_key::xlen

Private key length (in bytes).

The documentation for this struct was generated from the following file:

- bearssl_ec.h